Index: code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/EnergyDrink.cc
===================================================================
--- code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/EnergyDrink.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/EnergyDrink.cc	(revision 3196)
@@ -30,9 +30,10 @@
 
 #include "core/CoreIncludes.h"
+#include "core/Executor.h"
 #include "core/XMLPort.h"
-#include "objects/weaponsystem/projectiles/ParticleProjectile.h"
 #include "objects/worldentities/Model.h"
+
+#include "objects/weaponsystem/projectiles/Projectile.h"
 #include "objects/weaponsystem/MuzzleFlash.h"
-
 #include "objects/weaponsystem/Weapon.h"
 #include "objects/weaponsystem/WeaponPack.h"
@@ -69,9 +70,4 @@
     {
         this->material_ = material;
-    }
-
-    std::string& EnergyDrink::getMaterial()
-    {
-        return this->material_;
     }
 
Index: code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/EnergyDrink.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/EnergyDrink.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/EnergyDrink.h	(revision 3196)
@@ -31,6 +31,8 @@
 
 #include "OrxonoxPrereqs.h"
+
+#include <string>
+#include "tools/Timer.h"
 #include "objects/weaponsystem/WeaponMode.h"
-#include "tools/Timer.h"
 
 namespace orxonox
@@ -47,5 +49,6 @@
         private:
             void setMaterial(const std::string& material);
-            std::string& getMaterial();
+            inline const std::string& getMaterial()
+                { return this->material_; }
             void setDelay(float d);
             float getDelay() const;
Index: code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/FusionFire.cc
===================================================================
--- code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/FusionFire.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/FusionFire.cc	(revision 3196)
@@ -29,4 +29,5 @@
 #include "FusionFire.h"
 
+#include "util/Math.h"
 #include "core/CoreIncludes.h"
 #include "objects/weaponsystem/projectiles/BillboardProjectile.h"
Index: code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/HsW01.cc
===================================================================
--- code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/HsW01.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/HsW01.cc	(revision 3196)
@@ -30,9 +30,10 @@
 
 #include "core/CoreIncludes.h"
+#include "core/Executor.h"
 #include "core/XMLPort.h"
-#include "objects/weaponsystem/projectiles/ParticleProjectile.h"
 #include "objects/worldentities/Model.h"
+
+#include "objects/weaponsystem/projectiles/Projectile.h"
 #include "objects/weaponsystem/MuzzleFlash.h"
-
 #include "objects/weaponsystem/Weapon.h"
 #include "objects/weaponsystem/WeaponPack.h"
Index: code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/HsW01.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/HsW01.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/HsW01.h	(revision 3196)
@@ -31,6 +31,7 @@
 
 #include "OrxonoxPrereqs.h"
+
+#include "tools/Timer.h"
 #include "objects/weaponsystem/WeaponMode.h"
-#include "tools/Timer.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/LaserFire.cc
===================================================================
--- code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/LaserFire.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/LaserFire.cc	(revision 3196)
@@ -31,5 +31,4 @@
 #include "core/CoreIncludes.h"
 #include "objects/weaponsystem/projectiles/ParticleProjectile.h"
-
 #include "objects/weaponsystem/Weapon.h"
 #include "objects/weaponsystem/WeaponPack.h"
Index: code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/LightningGun.cc
===================================================================
--- code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/LightningGun.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/LightningGun.cc	(revision 3196)
@@ -30,14 +30,8 @@
 
 #include "core/CoreIncludes.h"
-
-#include "objects/worldentities/Billboard.h"
-
+#include "objects/weaponsystem/projectiles/LightningGunProjectile.h"
 #include "objects/weaponsystem/Weapon.h"
 #include "objects/weaponsystem/WeaponPack.h"
 #include "objects/weaponsystem/WeaponSystem.h"
-
-#include "objects/weaponsystem/projectiles/LightningGunProjectile.h"
-
-#include "util/Math.h"
 
 namespace orxonox
